/api/v1/businessProfil entreprise
Antwoorden
- 200OK
Integreer FastFaktura-facturatie in uw tools: klanten, facturen, verzending en PDF's via een eenvoudige REST API. Sandbox-accounts simuleren echte verzending en gebruiken Stripe in testmodus.
https://app.fastfaktura.io/api/v1Genereer een API-sleutel in uw accountinstellingen en roep de API aan met de X-Api-Key header.
curl -X POST https://app.fastfaktura.io/api/v1/invoices \
-H "X-Api-Key: ffk_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"client_id": "1f0c4a9e-…",
"currency": "EUR",
"lines": [
{ "description": "Consulting", "quantity": 1, "unit_price_cents": 50000, "tax_rate": 20 }
]
}'Elke aanvraag moet uw API-sleutel bevatten, ofwel in de X-Api-Key header of als Bearer-token. Beide methoden zijn gelijkwaardig.
curl https://app.fastfaktura.io/api/v1/clients \ -H "X-Api-Key: ffk_xxxxxxxx"
curl https://app.fastfaktura.io/api/v1/clients \ -H "Authorization: Bearer ffk_xxxxxxxx"
/api/v1/businessProfil entreprise
/api/v1/businessMise à jour du profil
/api/v1/clientsListe des clients
pagequery | integer | |
qquery | string | Recherche nom/email/téléphone |
/api/v1/clientsCréation client
/api/v1/clients/{id}Détail client
/api/v1/clients/{id}Édition client
/api/v1/clients/{id}Archivage client (pas de suppression définitive)
/api/v1/invoicesListe des factures
pagequery | integer | |
statusquery | string |
/api/v1/invoicesCréation facture (avec lignes)
| Veld | Type | Omschrijving |
|---|---|---|
client_idvereist | uuid | |
currencyvereist | string | |
due_date | string | null | |
notes | string | null | |
linesvereist | InvoiceLine[] |
/api/v1/invoices/{id}Détail facture + lignes + événements
/api/v1/invoices/{id}/pdfPDF de la facture
/api/v1/invoices/{id}/sendEnvoi (email / sms / lien), mode normal ou rappel
| Veld | Type | Omschrijving |
|---|---|---|
channelsvereist | string[] | |
reminder | boolean |
/api/v1/invoices/{id}/eventsTimeline d'événements
Structuur van de objecten die door de API worden geaccepteerd en geretourneerd.
| Veld | Type | Omschrijving |
|---|---|---|
id | uuid | |
name | string | |
email | string | null | |
phone | string | null | E.164 |
address | string | null | |
country | string | null | |
locale | string | frennbsv |
external_id | string | null | |
tags | string[] | |
archived_at | string | null |
| Veld | Type | Omschrijving |
|---|---|---|
descriptionvereist | string | |
quantityvereist | number | |
unit_price_centsvereist | integer | Centimes |
tax_ratevereist | number | Pourcentage (ex. 20) |
| Veld | Type | Omschrijving |
|---|---|---|
id | uuid | |
number | string | |
client_id | uuid | |
currency | string | EURUSDGBPNOKSEKDKK |
subtotal_cents | integer | |
tax_cents | integer | |
total_cents | integer | |
status | string | draftsentopenedpaidoverduecancelled |
due_date | string | null | |
public_url | string |